#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 3.2.2
%global		package_name ovirt-image-uploader

Summary:	Image Uploader for Red Hat Enterprise Virtualization
Name:		rhevm-image-uploader
Version:	3.2.2
Release:	3%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/releases/3.2/src/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	gettext
Requires:	python
Requires:	rhevm-sdk
Requires:       logrotate
BuildRequires:	python2-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel

Patch1: 0001-config-added-backward-compatibilty.patch
Patch2: 0002-log-default-logging-to-timestamped-files.patch

%description
Image Uploader tool for Red Hat Enterprise Virtualization Manager

%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1
%patch2 -p1

%build
./autogen.sh
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-image-uploader %{buildroot}/%{_bindir}/rhevm-image-uploader
echo ".so man8/engine-image-uploader.8" > %{buildroot}/%{_mandir}/man8/rhevm-image-uploader.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%config(noreplace) %{_sysconfdir}/ovirt-engine/imageuploader.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_image_uploader/*.py*
%{python_sitelib}/ovirt_image_uploader/ovf/*.py*
%{_bindir}/engine-image-uploader
%{_mandir}/man8/*
%{_bindir}/rhevm-image-uploader

%changelog
* Tue Oct  8 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.2.2-3
Resolves: BZ#1016651

* Tue Jun 18 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.2-2
Resolves:  BZ#975417

* Thu Apr 18 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.2-1
- 3.2.2-1

* Wed Apr 10 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-3
- Added logging of insufficient local space
Resolves: BZ#786887

* Sun Mar 31 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-2
Resolves: BZ#887566

* Sun Feb 17 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-1
- Release.

* Wed Feb 06 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.1.beta
- 3.2.0-0.1.beta
